# WebpagePortletEditorPage.CurrentApplicationLinkPrinter (Webpage API Documentation)
Keywords: com.arsdigita.cms.webpage.ui.WebpagePortletEditorPage.CurrentApplicationLinkPrinter class

## com.arsdigita.cms.webpage.ui
Class WebpagePortletEditorPage.CurrentApplicationLinkPrinter

    java.lang.Object
      com.arsdigita.cms.webpage.ui.WebpagePortletEditorPage.CurrentApplicationLinkPrinter

All Implemented Interfaces:
  EventListener, com.arsdigita.bebop.event.PrintListener

Enclosing class:
  WebpagePortletEditorPage

protected class WebpagePortletEditorPage.CurrentApplicationLinkPrinter
extends Object
implements com.arsdigita.bebop.event.PrintListener

Field Summary

Fields inherited from interface com.arsdigita.bebop.event.PrintListener
`versionId`

Constructor Summary
`WebpagePortletEditorPage.CurrentApplicationLinkPrinter(WebpagePortletEditorPage.WebpagePortletEditorForm aParentEditForm)`

Method Summary
`void` `prepare(com.arsdigita.bebop.event.PrintEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebpagePortletEditorPage.CurrentApplicationLinkPrinter

    public WebpagePortletEditorPage.CurrentApplicationLinkPrinter(WebpagePortletEditorPage.WebpagePortletEditorForm aParentEditForm)

Method Detail

### prepare

    public void prepare(com.arsdigita.bebop.event.PrintEvent e)

  Specified by:
    `prepare` in interface `com.arsdigita.bebop.event.PrintListener`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1154 UTC